<script>
    var requireJS = [];
    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, "js/views/member-account-create.js");
</script>

<div class="card">

    <div class="card-block">

        <form th:action="${postUrl}" method="post" id="request-form">
            <div class="form-group row">
                <label class="col-md-3 col-form-label" for="accountName" th:text="#{accountName}">Nombre de la cuenta:</label>
                <input class="form-control-sm" id="accountName" name="accountName" type="text"/>
            </div>

            <div class="form-group row">
                <label class="col-md-3 col-form-label" for="bankName" th:text="#{bankName}">Nombre del banco:</label>
                <input class="form-control-sm" id="bankName" name="bankName" type="text"/>
            </div>
            <div class="form-group row">
                <label class="col-md-3 col-form-label" for="accountType" th:text="#{accountType}">Tipo de cuenta:</label>
                <select class="form-control-sm" name="accountType" id="accountType">
                    <option value="0" disabled="true" selected="true"><span th:text="#{optSelect}"></span></option>
                    <option value="cuenta_ahorro"><span th:text="#{cuenta_ahorro}"></span></option>
                    <option value="cuenta_corriente"><span th:text="#{cuenta_corriente}"></span></option>
                    <option value="caja_ahorro"><span th:text="#{caja_ahorro}"></span></option>
                    <option value="other"><span th:text="#{optOther}"></span></option>
                </select>
            </div>
            <div class="form-group row">
                <label class="col-md-3 col-form-label" for="accountNumber" th:text="#{accountNumber}">Número de cuenta:</label>
                <input class="form-control-sm" id="accountNumber" name="accountNumber" type="text"/>
            </div>

            <div class="form-group row">
                <label class="col-md-3 col-form-label" for="accountIban" th:text="#{IBAN}">IBAN:</label>
                <input class="form-control-sm" id="accountIban" name="accountIban" type="text"/>
            </div>

            <div class="form-group row">
                <label class="col-md-3 col-form-label" for="accountSwift" th:text="#{BIC-Swift}">BIC/Swift:</label>
                <input class="form-control-sm" id="accountSwift" name="accountSwift" type="text"/>
            </div>
            <div class="form-group row">
                <label class="col-md-3 col-form-label" for="description" th:text="#{comments}">Comentarios</label>
                <textarea class="form-control-sm" id="description" name="description" rows="3"></textarea> 
            </div>            
            <br/>
        </form>
    </div>

    <div id="alert_placeholder"></div>

    <hr/>
    <button class="btn btn-danger" data-dismiss="modal" th:text="#{btnCancel}">Cancelar</button>
    <button class="btn btn-success pull-right" id="save" th:text="#{btnSave}">Guardar</button>
</div>

